org.jbpm.casemgmt.impl.command

## Class StartCaseCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Void>
  - - org.jbpm.casemgmt.impl.command.StartCaseCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class StartCaseCommand
      extends CaseCommand<Void>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartCaseCommand(org.kie.internal.identity.IdentityProvider identityProvider, String caseId, String deploymentId, String caseDefinitionId, CaseFileInstance caseFile, ProcessService processService)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context context)`
    `void` | `setProcessService(ProcessService processService)`

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StartCaseCommand

          public StartCaseCommand(org.kie.internal.identity.IdentityProvider identityProvider,
                                  String caseId,
                                  String deploymentId,
                                  String caseDefinitionId,
                                  CaseFileInstance caseFile,
                                  ProcessService processService)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context context)

    - #### setProcessService

          public void setProcessService(ProcessService processService)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.